<?php
/**
* @version 1.0.0
* @package RSTester! 1.0.0
* @copyright (C) 2012 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<table cellpadding="3" cellspacing="4" border="0">
	<tr>
		<td>
			<table class="adminlist table table-stripped stable">
			<thead>
				<tr>
					<th width="2%" nowrap="nowrap"><?php echo JText::_('RSTE_HEAD_REQUIREMENT'); ?></th>
					<th width="2%" nowrap="nowrap"><?php echo JText::_('RSTE_HEAD_YOUR_STATUS'); ?></th>
					<th nowrap="nowrap" class="mobilehide"><?php echo JText::_('RSTE_HEAD_FURTHER_INFO'); ?></th>
				</tr>
			</thead>
			<tbody>
		<?php foreach($this->results as $req => $value) { ?>
				<?php if ($req == 'is_compatible') continue; ?>
				<tr class="rste_<?php echo strtolower($req);?>">
					<td class="key ltr center" nowrap="nowrap"><?php echo JText::_($req); ?></td>
					<td valign="middle" class="rste_<?php echo $value->is_correct > 0 ? 'green' : 'red'; ?>bg"> <img src="<?php echo JURI::root(true); ?>/administrator/components/com_rstester/assets/images/<?php echo $value->is_correct > 0 ? 'success' : 'error'; ?>.png" alt="" />
					<strong class="rste_<?php echo $value->is_correct  > 0 ? 'green' : 'red'; ?>"><?php echo $value->status; ?></strong></td>
					<td class="mobilehide"><?php echo $value->description; ?><?php if (!$value->is_correct) { ?><br /><strong class="rste_red"><?php echo $value->solution; ?></strong><?php } ?></td>
				</tr>
		<?php } ?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="3"></td>
				</tr>
			</tfoot>
			</table>
			<p>
				<strong class="rste_<?php echo !empty($this->results['is_compatible'])  > 0 ? 'green' : 'red'; ?>">
				<?php echo !empty($this->results['is_compatible']) ? JText::_('RSTE_CONGRATULATIONS') : JText::_('RSTE_SORRY'); ?>
				</strong>
			</p>
		</td>
	</tr>
</table>