<?php
/**
* @version 1.0.0
* @package RSTester! 1.0.0
* @copyright (C) 2012 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.application.component.view');

class RSTesterViewRSTester extends JViewLegacy
{
	function display($tpl = null)
	{
		$doc = JFactory::getDocument();
		
		JToolBarHelper::title(JText::_('COM_RSTESTER'),'rstester');
		
		$doc->addStyleSheet(JURI::root(true).'/administrator/components/com_rstester/assets/css/style.css');
		$doc->addScriptDeclaration("
			function loadXMLDoc()
			{
				var component = document.getElementById('root_files').options[document.getElementById('root_files').selectedIndex].value;
				if(component){
					var xmlhttp;
					if (window.XMLHttpRequest)
					  {// code for IE7+, Firefox, Chrome, Opera, Safari
					  xmlhttp=new XMLHttpRequest();
					  }
					else
					  {// code for IE6, IE5
					  xmlhttp=new ActiveXObject('Microsoft.XMLHTTP');
					  }
					xmlhttp.onreadystatechange=function()
					  {
					  if (xmlhttp.readyState==4 && xmlhttp.status==200)
						{
							document.getElementById('rste_requirements').innerHTML=xmlhttp.responseText;
							document.getElementById('rste_loader').style.display='none';
						}
					  else 
						{
							document.getElementById('rste_loader').style.display='block';
						}
					  }

					xmlhttp.open('post', '".JURI::root(true)."/administrator/index.php?option=com_rstester&format=raw&task=test&component='+component, true);
					xmlhttp.send();
				}
			}
		");

		$components = array(
			JHTML::_('select.option', '', 			 			JText::_('RSTE_PLEASE_SELECT')),
			JHTML::_('select.option', 'com_rstester', 			JText::_('RSTE_RUN_TEST'))
		);

		$lists = array();
		$lists['components_list'] = JHTML::_('select.genericlist', $components, 'root_files', 'class="rs_sel" onchange="loadXMLDoc()"');

		$this->assignRef('lists',$lists);
		
		parent::display($tpl);
	}
}